package dev.crucifixbeta.api.events.impl;

import dev.crucifixbeta.api.events.Event;
import net.fabricmc.api.EnvType;
import net.fabricmc.api.Environment;
import net.minecraft.client.particle.Particle;

@Environment(EnvType.CLIENT)
public class ParticleEvent extends Event {
   private static final ParticleEvent instance = new ParticleEvent();
   public Particle particle;

   public static ParticleEvent get(Particle particle) {
      instance.particle = particle;
      instance.setCancelled(false);
      return instance;
   }
}
